curl --request GET \
--url https://api-sandbox.grailpay.com/3p/api/v1/user/uuid \
--header 'accept: application/json' \
--header 'content-type: application/json'
{
"status": true,
"message": "",
"data": {
"uuid": "401c79dd-d38c-4c3a-8edf-1afac5914d2d",
"status": "Approved|On Hold|Rejected",
"first_name": "Jack",
"last_name": "Jones",
"email": null,
"phone": null,
"address": {
"street_address": "20 Elmora Ave",
"additional_address": "",
"city": "Elizabeth",
"state": "NJ",
"country": "US",
"zip": "07202"
},
"created_at": "2023-06-10 14:15:54",
"updated_at": "2023-06-10 14:15:54",
"role": "person"
},
"errors": []
}
Fetch registered user information
curl --request GET \
--url https://api-sandbox.grailpay.com/3p/api/v1/user/uuid \
--header 'accept: application/json' \
--header 'content-type: application/json'
{
"status": true,
"message": "",
"data": {
"uuid": "401c79dd-d38c-4c3a-8edf-1afac5914d2d",
"status": "Approved|On Hold|Rejected",
"first_name": "Jack",
"last_name": "Jones",
"email": null,
"phone": null,
"address": {
"street_address": "20 Elmora Ave",
"additional_address": "",
"city": "Elizabeth",
"state": "NJ",
"country": "US",
"zip": "07202"
},
"created_at": "2023-06-10 14:15:54",
"updated_at": "2023-06-10 14:15:54",
"role": "person"
},
"errors": []
}
GET https://api-sandbox.grailpay.com/3p/api/v1/user/{uuid}
Show PERSON
Show BUSINESS
Show DATA OBJECT
curl --request GET \
--url https://api-sandbox.grailpay.com/3p/api/v1/user/uuid \
--header 'accept: application/json' \
--header 'content-type: application/json'
{
"status": true,
"message": "",
"data": {
"uuid": "401c79dd-d38c-4c3a-8edf-1afac5914d2d",
"status": "Approved|On Hold|Rejected",
"first_name": "Jack",
"last_name": "Jones",
"email": null,
"phone": null,
"address": {
"street_address": "20 Elmora Ave",
"additional_address": "",
"city": "Elizabeth",
"state": "NJ",
"country": "US",
"zip": "07202"
},
"created_at": "2023-06-10 14:15:54",
"updated_at": "2023-06-10 14:15:54",
"role": "person"
},
"errors": []
}